/*
    Copyright (C) 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ECHARTMARKERSCONFIG_H
#define ECHARTMARKERSCONFIG_H

#include <QObject>
#include "echarts.h"

/**
	* @brief Used to config the Markers.
	* @ingroup Charts
	*/
class E_CHARTS_EXPORT EChartMarkersConfig : public QObject {
	Q_OBJECT
	public:
		EChartMarkersConfig(int size = 10, QObject *parent = NULL);

		void setSize(uint size);
		inline uint size() const { return mySize; }

	private:
		uint mySize;
};

#endif // ECHARTMARKERSCONFIG_H
