/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef EDBBACKUPDIALOG_H
#define EDBBACKUPDIALOG_H

#include "eglobal.h"
#include "edialog.h"

class EDBBackup;
class EPushButton;

/**
  * @brief Dialog to dump SQL databases into a file.
	* @ingroup SQL
  *
  * It uses EDBBackup widget to do the dump.
  */
class E_CORE_EXPORT EDBBackupDialog : public EDialog
{
	Q_OBJECT
	public:
		EDBBackupDialog(QWidget *parent = 0, Qt::WindowFlags flags = 0);
		
	private slots:
		void finish();
		void abort();
		void exportStarted();
		void exportFinished(bool result);
		
	private:
		EDBBackup *dbBackup;
		EPushButton *exportButton, *closeButton;
		bool doneSuccessfully;
};

#endif // EDBBACKUPDIALOG_H
