/*
		Copyright (C) 2014 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

		This library is free software; you can redistribute it and/or
		modify it under the terms of the GNU Lesser General Public
		License as published by the Free Software Foundation; either
		version 2.1 of the License, or (at your option) any later version.

		This library is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
		Lesser General Public License for more details.

		You should have received a copy of the GNU Lesser General Public
		License along with this library; if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
		MA 02110-1301  USA.
*/

#ifndef EHEADERVIEWSPANNED_H
#define EHEADERVIEWSPANNED_H

#include "eheaderviewbase.h"
#include "eglobal.h"

/**
	* @brief The spanned sections are labeled with the title set by setSpanned() in the first row of the header
	*        and the model header data in the second row of the header. All other sections are labeled only with
	*        the model data.
	*
	* @see EHeaderViewCustom
	* @see EHeaderViewVerticalText
	*/
class E_CORE_EXPORT EHeaderViewSpanned : public EHeaderViewBase
{
	Q_OBJECT
	public:
		EHeaderViewSpanned(Qt::Orientation orientation, QWidget * parent = NULL);

		void setSpanned(int spanFirst, int spanLast, const QString &title);

		QSize sectionSizeFromContents(int logicalIndex) const;

	protected:
		void paintSection(QPainter *painter, const QRect &rect, int logicalIndex) const;

	private slots:
		void spannedSectionResized(int logicalIndex, int oldSize, int newSize);

	private:
		bool isSpanned(int logicalIndex) const;

		int _spanFirst, _spanLast;
		QString _spanTitle;
};


#endif // EHEADERVIEWSPANNED_H
