/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef EHELPCENTERSETUP_H
#define EHELPCENTERSETUP_H

#include "eglobal.h"

#include <QDir>

/**
	* @brief Structure to setup up the EHelpCenter.
	*/
struct E_CORE_EXPORT EHelpCenterSetup {
	/**
		* @brief Directories, which should be search for qhc and qch files.
		*/
	QList<QDir> directories;
	/**
		* @brief The file, which should be loaded as qhc, to setup QtAssistant.
		*
		* The file given here, is loaded as qhc and all other files found in the
		* directory, are loaded as qch (-register file.qch). The content should be
		* without the language and ending
		* (e.g.: File is called myhelpfile_de.qhc, than qhcFile should be myhelpfile)
		* @todo Support more than one helpfile in one directory.
		*/
	QString qhcFile;
	/**
		* @brief the domain used into the help file.
		*
		* If empty, QString(de.%1.%2).arg(QApplication::organizationName()).arg(QApplication::applicationName())
		* is used.
		*/
	QString domain;
	/**
		* @brief Page which is opened, if no page is provided.
		*/
	QString defaultPage;
};

#endif // EHELPCENTERSETUP_H
