/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef EPARTMAINWINDOW_H
#define EPARTMAINWINDOW_H

#include "eglobal.h"
#include "emainwindow.h"

class ECmdLineArgs;

#include "epart.h"

/**
	* @brief Used as a standard main window for the standalone application of an EPart
	* @see Epart
	*/
class E_CORE_EXPORT EPartMainWindow : public EMainWindow
{
	Q_OBJECT
	public:
		EPartMainWindow(QWidget * parent = 0, Qt::WindowFlags flags = 0);
		/**
			* @p ePartName the file name of an epart, this may be meganizer.so as an example.
			* It should be relativ to ELibrary::ePartDir().
			*/
		EPart::InitState init(EPart *part, ECmdLineArgs *args);

	protected slots:
		void editSetupWizard();
		void editSettings();
		void helpDependencies();
		void helpAbout();

	private:
		EPart *part;
};

#endif // EPARTMAINWINDOW_H
