/*
    Copyright (C) 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#ifndef EVERSION_H
#define EVERSION_H

/**
 * @file eversion.h
 * @brief The file contains macros and functions related to the LibEngsas version.
 */

#include "eglobal.h"

#include <QString>

/**
	* @brief Macro contains LibEngsas version at compile time.
	* 
	* For LibEngsas version at runtime, use version().
	*/
#define ENGSAS_VERSION_STRING "0.6.0"

namespace EngSaS {
	E_CORE_EXPORT QString version();
};

#endif // EVERSION_H
