/*
		Copyright (C) 2013 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

		This library is free software; you can redistribute it and/or
		modify it under the terms of the GNU Lesser General Public
		License as published by the Free Software Foundation; either
		version 2.1 of the License, or (at your option) any later version.

		This library is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
		Lesser General Public License for more details.

		You should have received a copy of the GNU Lesser General Public
		License along with this library; if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
		MA 02110-1301  USA.
*/

#ifndef EQMLEXTENSIONPLUGINTEST_H
#define EQMLEXTENSIONPLUGINTEST_H

#include <QObject>
#include "etesting.h"

#if QT_VERSION >= 0x050000
#include <QQmlEngine>
class QQmlExtensionPlugin;
#else
#include <QDeclarativeEngine>
class QDeclarativeExtensionPlugin;
#endif

class E_TESTING_EXPORT EQmlExtensionPluginTest : public QObject
{
	Q_OBJECT
	public:
		EQmlExtensionPluginTest(QObject *parent = NULL);

		void loadPlugin(QString file, QString searchPath);
		void registerTypes(QStringList types);

	protected:
#if QT_VERSION >= 0x050000
        QQmlExtensionPlugin *plugin;
        QQmlEngine engine;
#else
		QDeclarativeExtensionPlugin *plugin;
		QDeclarativeEngine engine;
#endif
};

#endif // EQMLEXTENSIONPLUGINTEST_H
